Automated Build Generator - Bug #2027
Analysis of some maven projects hangs in a loop
09/25/2014 01:06 PM - S. Meyer zu Borgsen

Status: Resolved Start date: 09/25/2014
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3

Description

for example the btl project generates the errors as seen in the attached log in a loop.

Might be introduced with: Commit 85b8aa0e5643de045b91fe2b21e86404fe9e71d8 ?

Associated revisions

Revision 7311e376 - 09/26/2014 04:12 PM - J. Moringen
Allow projects to provide their own requirements in src/project/classes-model.lisp
fixes #2027

- src/project/classes-model.lisp

(add-dependencies! version version-spec): allow provides entries of a
project to be used to satisfy requires entries of the same project

History

#1 - 09/25/2014 01:23 PM - J. Moringen
- Status changed from New to Feedback

for example the btl project generates the errors as seen in the attached log in a loop.

Did you forget the attachment?

#2 - 09/25/2014 01:32 PM - J. Moringen

Not directly reproducable in master:
CL-USERs> (jenkins.analysis:analyze #P"/tmp/btl/" :maven)

(:VERSIONS ((:MAIN ("de.unibi.citec.clf/btl" "2.0-SNAPSHOT"))
:PROVIDES

((:MAVEN "de.unibi.citec.clf/btl" (2 0 "SNAPSHOT"))

(:MAVEN "de.unibi.citec.clf/bti-base" (2 0 "SNAPSHOT"))
(:MAVEN "de.unibi.citec.clf/btl-xml" (2 0 "SNAPSHOT"))
(:MAVEN "de.unibi.citec.clf/btl-rst" (2 0 "SNAPSHOT")))
‘REQUIRES

((:MAVEN "log4j/log4j" (1 2 16)) (:MAVEN "junit/junit/test" (4 10))
(:MAVEN “java3d/vecmath” (1 3 1))
(:MAVEN "org.apache.commons/commons-lang3" (3 1))
(:MAVEN "log4j/log4j" (1 2 16)) (:MAVEN "junit/junit/test" (4 10))
(:MAVEN "java3d/vecmath" (1 3 1))

(:MAVEN "org.apache.commons/commons-lang3" (3 1))
(:MAVEN "org.easymock/easymock/test" (2 5 2))

(:MAVEN "org.easymock/easymockclassextension/test” (2 5 2))
(:MAVEN "log4j/log4j" (1 2 16)) :MAVEN "xom/xom" (1 2 5))
(:MAVEN "junit/junit/test" (4 10)) (:MAVEN "java3d/vecmath" (1 3 1))
(:MAVEN "org.apache.commons/commons-lang3" (3 1))
(:MAVEN "de.unibi.citec.clf/btl-base" (2 0 "SNAPSHOT"))
(:MAVEN "org.reflections/reflections" (0 9 8))

(:MAVEN "org.easymock/easymock/test" (2 5 2))

(:MAVEN "org.easymock/easymockclassextension/test” (2 5 2))
(:MAVEN "log4j/log4j" (1 2 16)) (MAVEN "junit/junit/itest" (4 10))
(:MAVEN "java3d/vecmath" (1 3 1))

(:MAVEN "org.apache.commons/commons-lang3" (3 1))
(:MAVEN "rsb/rst" (0 11 "SNAPSHOT"))

(:MAVEN "rsb/rst-sandbox" (0 11 "SNAPSHOT"))

(:MAVEN "rsb/rsb" (0 11 "SNAPSHOT"))

(:MAVEN "de.unibi.citec.clf/btl-base" (2 0 "SNAPSHOT"))
(:MAVEN "org.reflections/reflections" (0 9 8)))

:URL "https://projects.cit-ec.uni-bielefeld.de/projects/btl"
:LICENSE "LGPL-3"

:PROPERTIES

(("project.build.sourceEncoding" . "UTF-8")
("license.licenseName" . "btl_license")

"o

("license.licenseResolver" . "${project.baseUri}/src/license")))

#3 - 09/25/2014 02:28 PM - S. Meyer zu Borgsen
- File loop-hang.log added

Sorry, restoring a firefox session only restores the content of textfields but not the attachments.

#4 - 09/25/2014 02:39 PM - J. Moringen

- Target version set to 0.3

#5 - 09/25/2014 03:00 PM - J. Moringen

We previously asserted that a project cannot provide for its own requirements. However, with the kind of composite project structure induced by Maven

sub-modules, we may have to relax that assumption.

#6 - 09/26/2014 04:40 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7311e3760fb916b610b24f03191d83529c68efe4.
Files

loop-hang.log 7.38 KB 09/25/2014 S. Meyer zu Borgsen
